/****************************************************************************/
/*                                                                          */
/*  File       :     MOUSE.H                                                */
/*  Version    :     0.1                                                    */
/*  Autor      :     Carsten Breuer                                         */
/*  First Date :     28.05.1995                                             */
/*                                                                          */
/****************************************************************************/

typedef unsigned short byte;
typedef unsigned int   word;

typedef struct
	{
	word Spalte;
	word Zeile;
	word Key;
	} MDAT;

extern byte MouseKeys;
extern byte MouseCon ;
extern MDAT Mouse;



void HiColor 			( byte Mode );
void SetCursorType   ( byte Type );
word GetKey          ( void      );
word AltConv         ( word Key  );
byte DetectMouse     ( void      );
void DisplayMouse    ( void      );
void HideMouse       ( void      );
void SetMousePos     ( word sl, word zl );
byte GetMouseKey     ( void );
char *GetMouseInfo   ( void );
void SetMouseArea    ( word sl, word zl, word sr, word zr );




#define TRUE          1
#define FALSE         0

#define ALT_Q       271
#define ALT_W       272
#define ALT_E       273
#define ALT_R       274
#define ALT_T       275
#define ALT_Y       276
#define ALT_U       277
#define ALT_I       278
#define ALT_O       279
#define ALT_P       280
#define ALT_A       285
#define ALT_S       286
#define ALT_D       287
#define ALT_F       288
#define ALT_G       289
#define ALT_H       290
#define ALT_J       291
#define ALT_K       292
#define ALT_L       293
#define ALT_Z       299
#define ALT_X       300
#define ALT_C       301
#define ALT_V       302
#define ALT_B       303
#define ALT_N       304
#define ALT_M       305
#define ALT_1       375
#define ALT_2       376
#define ALT_3       377
#define ALT_4       378
#define ALT_5       379
#define ALT_6       380
#define ALT_7       381
#define ALT_8       382
#define ALT_9       383
#define ALT_0       384

#define CURUP       327
#define CURDN       335
#define CURLT       330
#define CURRT       332
#define CR           13
#define INSERT      337
#define DELETE      338
#define CURPUP      328
#define CURPDN      336
#define CURHOME     326
#define CUREND      334
#define TAB           9
#define ESC          27
